searchData={"items":[{"type":"module","title":"OrderedCollections","doc":"Documentation for `OrderedCollections`.","ref":"OrderedCollections.html"},{"type":"function","title":"OrderedCollections.hello/0","doc":"Hello world.","ref":"OrderedCollections.html#hello/0"},{"type":"function","title":"Examples - OrderedCollections.hello/0","doc":"iex> OrderedCollections.hello()\n    :world","ref":"OrderedCollections.html#hello/0-examples"},{"type":"module","title":"OrderedCollections.SortedMap","doc":"A sorted key-value store implemented using Erlang's `:gb_trees` (Red-Black Trees).\n\nThis module stores items in sorted order by their keys.","ref":"OrderedCollections.SortedMap.html"},{"type":"function","title":"OrderedCollections.SortedMap.delete/2","doc":"Deletes a key.","ref":"OrderedCollections.SortedMap.html#delete/2"},{"type":"function","title":"Examples - OrderedCollections.SortedMap.delete/2","doc":"iex> sm = SortedMap.new(%{a: 1, b: 2})\n    iex> sm2 = SortedMap.delete(sm, :b)\n    iex> SortedMap.has_key?(sm2, :b)\n    false","ref":"OrderedCollections.SortedMap.html#delete/2-examples"},{"type":"function","title":"OrderedCollections.SortedMap.get/3","doc":"Retrieves a value by key, returning a default if missing.","ref":"OrderedCollections.SortedMap.html#get/3"},{"type":"function","title":"Examples - OrderedCollections.SortedMap.get/3","doc":"iex> sm = SortedMap.new(%{a: 1})\n    iex> SortedMap.get(sm, :a)\n    1\n    iex> SortedMap.get(sm, :b, :default)\n    :default","ref":"OrderedCollections.SortedMap.html#get/3-examples"},{"type":"function","title":"OrderedCollections.SortedMap.has_key?/2","doc":"Checks if a key exists.","ref":"OrderedCollections.SortedMap.html#has_key?/2"},{"type":"function","title":"Examples - OrderedCollections.SortedMap.has_key?/2","doc":"iex> sm = SortedMap.new(%{a: 1, b: 2})\n    iex> SortedMap.has_key?(sm, :a)\n    true\n    iex> SortedMap.has_key?(sm, :c)\n    false","ref":"OrderedCollections.SortedMap.html#has_key?/2-examples"},{"type":"function","title":"OrderedCollections.SortedMap.max_key/1","doc":"Returns the largest key. Returns `:none` if the map is empty.","ref":"OrderedCollections.SortedMap.html#max_key/1"},{"type":"function","title":"Examples - OrderedCollections.SortedMap.max_key/1","doc":"iex> sm = SortedMap.new(%{b: 2, a: 1, c: 3})\n    iex> SortedMap.max_key(sm)\n    :c\n\n    iex> sm_empty = SortedMap.new()\n    iex> SortedMap.max_key(sm_empty)\n    :none","ref":"OrderedCollections.SortedMap.html#max_key/1-examples"},{"type":"function","title":"OrderedCollections.SortedMap.min_key/1","doc":"Returns the smallest key. Returns `:none` if the map is empty.","ref":"OrderedCollections.SortedMap.html#min_key/1"},{"type":"function","title":"Examples - OrderedCollections.SortedMap.min_key/1","doc":"iex> sm = SortedMap.new(%{b: 2, a: 1, c: 3})\n    iex> SortedMap.min_key(sm)\n    :a\n\n    iex> sm_empty = SortedMap.new()\n    iex> SortedMap.min_key(sm_empty)\n    :none","ref":"OrderedCollections.SortedMap.html#min_key/1-examples"},{"type":"function","title":"OrderedCollections.SortedMap.new/0","doc":"Creates a new empty sorted map.","ref":"OrderedCollections.SortedMap.html#new/0"},{"type":"function","title":"Examples - OrderedCollections.SortedMap.new/0","doc":"iex> sm = SortedMap.new()\n    iex> SortedMap.to_map(sm)\n    %{}","ref":"OrderedCollections.SortedMap.html#new/0-examples"},{"type":"function","title":"OrderedCollections.SortedMap.new/1","doc":"Creates a new sorted map from a standard map.","ref":"OrderedCollections.SortedMap.html#new/1"},{"type":"function","title":"Examples - OrderedCollections.SortedMap.new/1","doc":"iex> sm = SortedMap.new(%{a: 1, b: 2})\n    iex> SortedMap.get(sm, :a)\n    1\n    iex> SortedMap.get(sm, :b)\n    2","ref":"OrderedCollections.SortedMap.html#new/1-examples"},{"type":"function","title":"OrderedCollections.SortedMap.put/3","doc":"Inserts a key-value pair, maintaining order.","ref":"OrderedCollections.SortedMap.html#put/3"},{"type":"function","title":"Examples - OrderedCollections.SortedMap.put/3","doc":"iex> sm = SortedMap.new(%{a: 1})\n    iex> sm = SortedMap.put(sm, :b, 2)\n    iex> SortedMap.get(sm, :b)\n    2","ref":"OrderedCollections.SortedMap.html#put/3-examples"},{"type":"function","title":"OrderedCollections.SortedMap.range/3","doc":"Iterates over a range of keys, returning key-value pairs\nwhose keys are between `min` and `max` (inclusive).","ref":"OrderedCollections.SortedMap.html#range/3"},{"type":"function","title":"Examples - OrderedCollections.SortedMap.range/3","doc":"iex> sm = SortedMap.new(%{a: 1, b: 2, c: 3, d: 4})\n    iex> SortedMap.range(sm, :b, :c)\n    [{:b, 2}, {:c, 3}]","ref":"OrderedCollections.SortedMap.html#range/3-examples"},{"type":"opaque","title":"OrderedCollections.SortedMap.t/0","doc":"","ref":"OrderedCollections.SortedMap.html#t:t/0"},{"type":"function","title":"OrderedCollections.SortedMap.to_list/1","doc":"Returns all key-value pairs in sorted order.","ref":"OrderedCollections.SortedMap.html#to_list/1"},{"type":"function","title":"Examples - OrderedCollections.SortedMap.to_list/1","doc":"iex> sm = SortedMap.new(%{b: 2, a: 1})\n    iex> SortedMap.to_list(sm)\n    [{:a, 1}, {:b, 2}]","ref":"OrderedCollections.SortedMap.html#to_list/1-examples"},{"type":"function","title":"OrderedCollections.SortedMap.to_map/1","doc":"Converts the `SortedMap` into a standard `Map`, losing the sorted property.","ref":"OrderedCollections.SortedMap.html#to_map/1"},{"type":"function","title":"Examples - OrderedCollections.SortedMap.to_map/1","doc":"iex> sm = SortedMap.new(%{b: 2, a: 1})\n    iex> SortedMap.to_map(sm)\n    %{a: 1, b: 2}","ref":"OrderedCollections.SortedMap.html#to_map/1-examples"},{"type":"function","title":"OrderedCollections.SortedMap.update/4","doc":"Updates a key if it exists, otherwise sets a default value.","ref":"OrderedCollections.SortedMap.html#update/4"},{"type":"function","title":"Examples - OrderedCollections.SortedMap.update/4","doc":"iex> sm = SortedMap.new(%{a: 1})\n    iex> SortedMap.update(sm, :a, fn val -> val + 1 end) |> SortedMap.get(:a)\n    2\n\n    iex> SortedMap.new(%{a: 1}) |> SortedMap.update(:b, fn val -> val + 1 end, 10) |> SortedMap.get(:b)\n    10","ref":"OrderedCollections.SortedMap.html#update/4-examples"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}